Skip to main content
`Ctrl`+`K`

# DMPlexComputeJacobianHybridByKey

Compute the local Jacobian over hybrid cells for terms matching the input key

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeJacobianHybridByKey(DM dm, PetscFormKey key[], IS cellIS, PetscReal t, PetscReal X_tShift, Vec locX, Vec locX_t, Mat Jac, Mat JacP, PetscCtx ctx)

Collective

## Input Parameters

- dm - The output `DM`

- key - The `PetscFormKey` array (left cell, right cell, cohesive cell) indicating what should be integrated

- cellIS - The `IS` give a set of cells to integrate over

- t - The time

- X_tShift - The multiplier for the Jacobian with respect to \(X_t\)

- locX - The local solution

- locX_t - The time derivative of the local solution, or `NULL` for time-independent problems

- ctx - An optional application context, passed to the pointwise functions

## Output Parameters

- Jac - The local Jacobian

- JacP - The local Jacobian preconditioner

## See Also

`DMPlexComputeResidualByKey()`, `DMPlexComputeJacobianByKey()`, `DMPlexComputeResidualHybridByKey()`, `PetscFormKey`

## Level

developer

## Location

src/dm/impls/plex/plexfem.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages